Subject: pxa3xx_nand times out in 4.14 with JFFS2

From: [email-masked] (Miquel RAYNAL)
Date: Tue, 19 Dec 2017 01:13:15 +0100

Hi Willy,

On Mon, 18 Dec 2017 22:52:17 +0100
Willy Tarreau <[email-masked]> wrote:

> Hi Miquel,
> 
> On Mon, Dec 18, 2017 at 11:22:08AM +0100, Miquel RAYNAL wrote:
> > I fixed two problems happening during read/write of 2kiB page NAND
> > chips, I am quite confident this would solve the issues you report
> > here. Could you please give it a try?  
> 
> So I just tested right now, and good news, it now works pretty fine
> here, and my jffs2 properly mounted (without requiring Boris' fix
> for oob)

Great! Thanks for testing.

Boris' fix wouldn't apply anyway as it was written for pxa3xx_nand.c
and here you are using marvell_nand.c and the code is really different.

> 
> # dmesg|grep -i nand
> [    0.770395] nand: device found, Manufacturer ID: 0x01, Chip ID:
> 0xf1 [    0.775474] nand: AMD/Spansion S34ML01G2
> [    0.778103] nand: 128 MiB, SLC, erase size: 128 KiB, page size:
> 2048, OOB size: 64 [    0.794080] 10 ofpart partitions found on MTD
> device pxa3xx_nand-0 [    0.798975] Creating 10 MTD partitions on
> "pxa3xx_nand-0": [    3.245034] jffs2: version 2.2. (NAND) (SUMMARY)
> \xffffffc2\xffffffa9 2001-2006 Red Hat, Inc.
> 
> I was first surprized seeing this "pxa3xx_nand-0" still appearing
> until I realized that it's how it's called in the device tree :-)

That is right, but if you create a DTS for your own board feel free to
change it, this is just a default name. Giving it some meaning (like
"main-storage" or "backup-storage") is how you could use this label.

Thanks again for your help, reviews or tested-by's are welcome for this
driver ;)

Miqu?l